<template>
  <div style="margin-right:20px;height: 100%;">
    <wait-card :list="list" :total="total" :loading="listLoading" title="待办事件"/>
  </div>
</template>

<script>
import WaitCard from './waitCard'
import { workList } from '@/api/callCase'

export default {
  name: 'WaitHandle',
  components: { WaitCard },
  data() {
    return {
      listQuery: {
        limit: 10,
        offset: 1
      },
      listLoading: false,
      total: 4,
      list: [],
      column: 'title'
    }
  },
  created() {
    this.fetchData()
  },
  activated() {
    this.fetchData()
  },
  methods: {
    fetchData() {
      this.listLoading = true
      workList(this.listQuery).then(response => {
        this.list = response.data.rows
        this.total = response.data.total
        this.listLoading = false
      })
    }
  }
}
</script>

<style scoped>

</style>
